QScintilla: QextScintillaMacro Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaMacro Class Reference

The QextScintillaMacro class represents a sequence of recordable editor commands. More...

`#include <qextscintillamacro.h>`

List of all members.

## Public Slots

- virtual void play ()
- virtual void startRecording ()
- virtual void endRecording ()

## Public Member Functions

- QextScintillaMacro (QextScintilla *parent, const char *name=0)
- QextScintillaMacro (const QCString &asc, QextScintilla *parent, const char *name=0)
- virtual ~QextScintillaMacro ()
- void clear ()
- bool load (const QCString &asc)
- QCString save () const

## Classes

- struct Macro

## Detailed Description

The QextScintillaMacro class represents a sequence of recordable editor commands.

Methods are provided to convert convert a macro to and from a textual representation so that they can be easily written to and read from permanent storage.

## Constructor & Destructor Documentation

QextScintillaMacro::QextScintillaMacro | ( | QextScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaMacro with parent parent and name name.

QextScintillaMacro::QextScintillaMacro | ( | const QCString & | asc,
|  | QextScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaMacro from the printable ASCII representation asc, with parent parent and name name.

virtual QextScintillaMacro::~QextScintillaMacro | ( |  | ) | `[virtual]`

Destroy the QextScintillaMacro instance.

## Member Function Documentation

void QextScintillaMacro::clear | ( |  | ) |

Clear the contents of the macro.

bool QextScintillaMacro::load | ( | const QCString & | asc | ) |

Load the macro from the printable ASCII representation asc. Returns TRUE if there was no error.

See also:
  save()

QCString QextScintillaMacro::save | ( |  | ) | const

Return a printable ASCII representation of the macro. It is guaranteed that only printable ASCII characters are used and that double quote characters will not be used.

See also:
  load()

virtual void QextScintillaMacro::play | ( |  | ) | `[virtual, slot]`

Play the macro.

virtual void QextScintillaMacro::startRecording | ( |  | ) | `[virtual, slot]`

Start recording user commands and add them to the macro.

virtual void QextScintillaMacro::endRecording | ( |  | ) | `[virtual, slot]`

Stop recording user commands.